Bug 1180378 - Review Request: rubygem-sigdump - ruby signal handler which dumps backtrace of running threads and number of allocated objects per class
Summary: Review Request: rubygem-sigdump - ruby signal handler which dumps backtrace o...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-09 03:42 UTC by Graeme Gillies
Modified: 2015-09-18 19:01 UTC (History)
2 users (show)

Fixed In Version: 0.2.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-10 20:21:30 UTC
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Graeme Gillies 2015-01-09 03:42:51 UTC
Spec URL: https://fedorapeople.org/~ggillies/for_review/rubygem-sigdump/rubygem-sigdump.spec

SRPM URL: https://fedorapeople.org/~ggillies/for_review/rubygem-sigdump/rubygem-sigdump-0.2.2-1.fc21.src.rpm

Description: In short: SIGQUIT of Java VM for Ruby.

Server applications (like Rails app) cause performance problems, deadlock or memory swapping from time to time. But it's painful to reproduce such kind of problems. If we can get information from a running process without restarting it, it's really helpful.

sigdump gem installs a signal handler which dumps backtrace of running threads and number of allocated objects per class.

Fedora Account System Username: ggillies

Comment 1 Haïkel Guémar 2015-04-10 16:54:42 UTC
Please drop Group, it's not required anymore (only for EL5), you may want to do it everywhere. needinfo me, then.

Comment 2 Graeme Gillies 2015-04-12 23:10:29 UTC
Hi,

I have removed the group tag and added in an extra conditional needed to add a Provides: for epel 7

https://fedorapeople.org/~ggillies/for_review/rubygem-sigdump/rubygem-sigdump.spec

https://fedorapeople.org/~ggillies/for_review/rubygem-sigdump/rubygem-sigdump-0.2.2-1.fc21.src.rpm

Thanks,

Graeme

Comment 3 Haïkel Guémar 2015-04-22 15:36:52 UTC
Hi Graeme, please use the %gem macro instead of gem (and the same goes for all your reviews)
As this one is quite trivial, I trust you to do it before importing into dist-git.

I hereby approve this package into Fedora Packages Collection, please submit a SCM request


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     sigdump-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Gem should use %gem_install macro.
[x]: Test suite of the library should be run.
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-sigdump-0.2.2-1.fc23.noarch.rpm
          rubygem-sigdump-doc-0.2.2-1.fc23.noarch.rpm
          rubygem-sigdump-0.2.2-1.fc23.src.rpm
rubygem-sigdump.noarch: W: spelling-error %description -l en_US backtrace -> backtrack, back trace, back-trace
rubygem-sigdump.noarch: W: spelling-error %description -l en_US tmp -> mp, temp, tamp
rubygem-sigdump.noarch: W: spelling-error %description -l en_US pid -> peed, dip, pud
rubygem-sigdump.src: W: spelling-error %description -l en_US backtrace -> backtrack, back trace, back-trace
rubygem-sigdump.src: W: spelling-error %description -l en_US tmp -> mp, temp, tamp
rubygem-sigdump.src: W: spelling-error %description -l en_US pid -> peed, dip, pud
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
rubygem-sigdump (rpmlib, GLIBC filtered):
    ruby(rubygems)

rubygem-sigdump-doc (rpmlib, GLIBC filtered):
    rubygem-sigdump



Provides
--------
rubygem-sigdump:
    rubygem(sigdump)
    rubygem-sigdump

rubygem-sigdump-doc:
    rubygem-sigdump-doc



Source checksums
----------------
https://rubygems.org/gems/sigdump-0.2.2.gem :
  CHECKSUM(SHA256) this package     : e3a45f114400dd0ad7d18b43b2652d936bf8e13cb34285eb5a7cbcf0dc268dc0
  CHECKSUM(SHA256) upstream package : e3a45f114400dd0ad7d18b43b2652d936bf8e13cb34285eb5a7cbcf0dc268dc0

Comment 4 Graeme Gillies 2015-04-22 23:56:23 UTC
Hi,

Thanks for approving the package. I'm a bit confused about the use of the %gem macro. I see the fedora-review output says I'm not using the gem_install macro when I definitely am (noticed it keeps saying this on all my spec files). I tried changing all other references to gem with %gem but they failed (as there is no %gem macro, only %gem_install (which I am already using).

Maybe this is just a big in fedora-review?

Comment 5 Graeme Gillies 2015-04-22 23:56:43 UTC
New Package SCM Request
=======================
Package Name: rubygem-sigdump
Short Description: ruby signal handler which dumps backtrace of running threads and number of allocated objects per class
Upstream URL: https://github.com/frsyuki/sigdump
Owners: ggillies
Branches: f22 f21 epel7

Comment 6 Gwyn Ciesla 2015-04-23 12:39:39 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-08-25 00:20:36 UTC
rubygem-sigdump-0.2.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14171

Comment 8 Fedora Update System 2015-08-25 00:20:56 UTC
rubygem-sigdump-0.2.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14172

Comment 9 Fedora Update System 2015-08-26 04:26:06 UTC
rubygem-sigdump-0.2.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update rubygem-sigdump'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14172

Comment 10 Fedora Update System 2015-08-26 17:27:51 UTC
rubygem-sigdump-0.2.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update rubygem-sigdump'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14171

Comment 11 Fedora Update System 2015-09-10 20:21:27 UTC
rubygem-sigdump-0.2.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-09-18 19:01:42 UTC
rubygem-sigdump-0.2.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.